View Issue Details

IDProjectCategoryView StatusLast Update
0002519SymmetricDSImprovementpublic2016-06-29 12:12
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.30Fixed in Version3.7.35 
Summary0002519: DB2 triggers are not providing the source node id
DescriptionSource node id is left as null in sym_data on AS400 change data captures. This can result in some sync scenarios in excess heartbeats and config being replicated numerous times.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 93bedbc7

2016-03-08 08:08:31

Hicks, Josh

Details Diff
0002519 DB2 dialect to provide source node id as part of change data
capture

0002519
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File

SymmetricDS: 3.7 ccb10ec7

2016-06-13 20:21:11

admin

Details Diff
0002639: Issue 2519 broke DB2 Z/OS version 10 support
0002519, 0002639
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2zOsSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2016-03-08 08:06 josh-a-hicks New Issue
2016-03-08 08:06 josh-a-hicks Status new => assigned
2016-03-08 08:06 josh-a-hicks Assigned To => josh-a-hicks
2016-03-08 09:00 Changeset attached => SymmetricDS 3.7 93bedbc7
2016-03-08 12:56 josh-a-hicks Summary AS400 triggers are not providing the source node id => DB2 triggers are not providing the source node id
2016-06-13 21:00 admin Changeset attached => SymmetricDS 3.7 ccb10ec7
2016-06-29 12:12 chenson Status assigned => closed
2016-06-29 12:12 chenson Resolution open => fixed
2016-06-29 12:12 chenson Fixed in Version => 3.7.35